List the certificates of a case

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /certificates

Lists the organization's certificates for the case in caseId, newest first, optionally only those covering sourceId, paged with page and perPage (10 per page by default). Requires a role in the organization.

Headers

  • organization string Required

    id of the selected (active) organization

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • caseId string Required
  • sourceId string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object] Required
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • certificateId string Required
        • organization string Required
        • case string Required
        • sourceIds array[string] Required
        • status string Required

          Values are verified, partial, or revoked.

        • generatedBySide string Required

          Values are org or opposing_council.

        • certificate object Required
        • revokedAt string(date-time) | null Required
        • revocationReason string | null Required
        • createdBy string Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /certificates
curl \
 --request GET 'http://api.example.com/certificates?caseId=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "certificateId": "HC-2026-05-15-A1B2-1F3",
        "organization": "65a1b2c3d4e5f6a7b8c9d0e3",
        "case": "65a1b2c3d4e5f6a7b8c9d0e2",
        "sourceIds": [
          "65a1b2c3d4e5f6a7b8c9d0f4"
        ],
        "status": "verified",
        "generatedBySide": "org",
        "certificate": {
          "generatedAt": "2026-05-15T12:00:00.000Z",
          "dataSummary": {}
        },
        "revokedAt": "2026-05-04T09:42:00Z",
        "revocationReason": "string",
        "createdBy": "65a1b2c3d4e5f6a7b8c9d0e4"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}